Determining if the include file arm_neon.h exists failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-tOr8oh

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_9ddb6 && [1/2] Building C object CMakeFiles/cmTC_9ddb6.dir/CheckIncludeFile.c.o
FAILED: CMakeFiles/cmTC_9ddb6.dir/CheckIncludeFile.c.o 
/usr/bin/cc   -fdiagnostics-color=always -o CMakeFiles/cmTC_9ddb6.dir/CheckIncludeFile.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-tOr8oh/CheckIncludeFile.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-tOr8oh/CheckIncludeFile.c:1:10: fatal error: arm_neon.h: No such file or directory
    1 | #include <arm_neon.h>
      |          ^~~~~~~~~~~~
compilation terminated.
ninja: build stopped: subcommand failed.



Determining if the include file intrin.h exists failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-vlMXtA

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_68c55 && [1/2] Building C object CMakeFiles/cmTC_68c55.dir/CheckIncludeFile.c.o
FAILED: CMakeFiles/cmTC_68c55.dir/CheckIncludeFile.c.o 
/usr/bin/cc   -fdiagnostics-color=always -o CMakeFiles/cmTC_68c55.dir/CheckIncludeFile.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-vlMXtA/CheckIncludeFile.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-vlMXtA/CheckIncludeFile.c:1:10: fatal error: intrin.h: No such file or directory
    1 | #include <intrin.h>
      |          ^~~~~~~~~~
compilation terminated.
ninja: build stopped: subcommand failed.



Determining if the include file guiddef.h exists failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-Ob2vIt

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_742da && [1/2] Building C object CMakeFiles/cmTC_742da.dir/CheckIncludeFile.c.o
FAILED: CMakeFiles/cmTC_742da.dir/CheckIncludeFile.c.o 
/usr/bin/cc   -fdiagnostics-color=always -o CMakeFiles/cmTC_742da.dir/CheckIncludeFile.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-Ob2vIt/CheckIncludeFile.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-Ob2vIt/CheckIncludeFile.c:1:10: fatal error: guiddef.h: No such file or directory
    1 | #include <guiddef.h>
      |          ^~~~~~~~~~~
compilation terminated.
ninja: build stopped: subcommand failed.



Determining if the include file initguid.h exists failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-kjC5KU

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_a9350 && [1/2] Building C object CMakeFiles/cmTC_a9350.dir/CheckIncludeFile.c.o
FAILED: CMakeFiles/cmTC_a9350.dir/CheckIncludeFile.c.o 
/usr/bin/cc   -fdiagnostics-color=always -o CMakeFiles/cmTC_a9350.dir/CheckIncludeFile.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-kjC5KU/CheckIncludeFile.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-kjC5KU/CheckIncludeFile.c:1:10: fatal error: initguid.h: No such file or directory
    1 | #include <initguid.h>
      |          ^~~~~~~~~~~~
compilation terminated.
ninja: build stopped: subcommand failed.



Determining if the proc_pidpath exist failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-StULxI

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_0f512 && [1/2] Building C object CMakeFiles/cmTC_0f512.dir/CheckSymbolExists.c.o
FAILED: CMakeFiles/cmTC_0f512.dir/CheckSymbolExists.c.o 
/usr/bin/cc   -fdiagnostics-color=always -o CMakeFiles/cmTC_0f512.dir/CheckSymbolExists.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-StULxI/CheckSymbolExists.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-StULxI/CheckSymbolExists.c:2:10: fatal error: libproc.h: No such file or directory
    2 | #include <libproc.h>
      |          ^~~~~~~~~~~
compilation terminated.
ninja: build stopped: subcommand failed.


File CheckSymbolExists.c:
/* */
#include <libproc.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef proc_pidpath
  return ((int*)(&proc_pidpath))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if files pthread.h;pthread_np.h exist failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-cLtsRl

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_5617e && [1/2] Building C object CMakeFiles/cmTC_5617e.dir/HAVE_PTHREAD_NP_H.c.o
FAILED: CMakeFiles/cmTC_5617e.dir/HAVE_PTHREAD_NP_H.c.o 
/usr/bin/cc   -pthread -fdiagnostics-color=always -o CMakeFiles/cmTC_5617e.dir/HAVE_PTHREAD_NP_H.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-cLtsRl/HAVE_PTHREAD_NP_H.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-cLtsRl/HAVE_PTHREAD_NP_H.c:3:10: fatal error: pthread_np.h: No such file or directory
    3 | #include <pthread_np.h>
      |          ^~~~~~~~~~~~~~
compilation terminated.
ninja: build stopped: subcommand failed.


Source:
/* */
#include <pthread.h>
#include <pthread_np.h>


int main(void){return 0;}

Determining if the pthread_setname_np exist failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-h3G8Q9

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_1aaa9 && [1/2] Building C object CMakeFiles/cmTC_1aaa9.dir/CheckSymbolExists.c.o
FAILED: CMakeFiles/cmTC_1aaa9.dir/CheckSymbolExists.c.o 
/usr/bin/cc   -pthread -fdiagnostics-color=always -o CMakeFiles/cmTC_1aaa9.dir/CheckSymbolExists.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-h3G8Q9/CheckSymbolExists.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-h3G8Q9/CheckSymbolExists.c: In function ‘main’:
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-h3G8Q9/CheckSymbolExists.c:8:19: error: ‘pthread_setname_np’ undeclared (first use in this function); did you mean ‘pthread_setcanceltype’?
    8 |   return ((int*)(&pthread_setname_np))[argc];
      |                   ^~~~~~~~~~~~~~~~~~
      |                   pthread_setcanceltype
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-h3G8Q9/CheckSymbolExists.c:8:19: note: each undeclared identifier is reported only once for each function it appears in
ninja: build stopped: subcommand failed.


File CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_setname_np
  return ((int*)(&pthread_setname_np))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the pthread_set_name_np exist failed with the following output:
Change Dir: /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-HC5UAk

Run Build Command(s):/opt/brett/jetbrains/clion-install/bin/ninja/linux/x64/ninja cmTC_e0e89 && [1/2] Building C object CMakeFiles/cmTC_e0e89.dir/CheckSymbolExists.c.o
FAILED: CMakeFiles/cmTC_e0e89.dir/CheckSymbolExists.c.o 
/usr/bin/cc   -pthread -fdiagnostics-color=always -o CMakeFiles/cmTC_e0e89.dir/CheckSymbolExists.c.o -c /home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-HC5UAk/CheckSymbolExists.c
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-HC5UAk/CheckSymbolExists.c: In function ‘main’:
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-HC5UAk/CheckSymbolExists.c:8:19: error: ‘pthread_set_name_np’ undeclared (first use in this function); did you mean ‘pthread_setcanceltype’?
    8 |   return ((int*)(&pthread_set_name_np))[argc];
      |                   ^~~~~~~~~~~~~~~~~~~
      |                   pthread_setcanceltype
/home/brett/Documents/code/c++/gp_image_test/cmake-build-relwithdebinfo-addrsan/CMakeFiles/CMakeScratch/TryCompile-HC5UAk/CheckSymbolExists.c:8:19: note: each undeclared identifier is reported only once for each function it appears in
ninja: build stopped: subcommand failed.


File CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_set_name_np
  return ((int*)(&pthread_set_name_np))[argc];
#else
  (void)argc;
  return 0;
#endif
}
